# BackupPC Server

1. […](#…)
2. [Erreur type](#erreur-type)
    * [hostkey vide (fichier .pl)](#hostkey-vide-fichier-.pl)
    * [Unable to read 4 bytes](#unable-to-read-4-bytes)
    * [Mauvais réseau](#mauvais-réseau)
    * [Ping too slow](#ping-too-slow)
3. [Mail type](#mail-type)
    * [Sauvegarde en cours](#sauvegarde-en-cours)
    * [Sauvegarde prévue](#sauvegarde-prévue)

## Erreur type

### hostkey vide-fichier .pl
Si le fichier **.pl** fourni par l'utilisateur n'a pas de paramètre **hostkey**, cela signifie que SSH s'est mal installé.
  * **Windows**: relancer les scripts ``c:\backuppc_ipr\01_install_backuppc.exe`` puis ``c:\backuppc_ipr\02_fichier_config.bat`` comme indiqué dans la [documentation][documentation backuppc windows].
  * **Linux**: relancer le script ``/tmp/install_auto.sh``
  * **Mac**: relancer le script ``/tmp/install_auto.sh``

```
Bonjour,

Il semble il y avoir eu un problème lors de l'activation d'un service sur ton poste nécessaire à la sauvegarde. Est-ce que tu peux …

Puis me renvoyer le fichier **.pl** généré. Si il n'est pas différent du précédent je passerai te voir afin de déterminer le problème :)
```

### Unable to read 4 bytes
Il s'agit la plupart du temps d'un problème de connexion SSH vers le poste client.

#### Poste DSI
Si il s'agit d'un poste installé par la DSI (la clef ssh/**hostkey** contient **adm**_SÉSAME@NOM-MACHINE_ par exemple).
  * Demander à l'utilisateur si l'ensemble de l'installation a bien été faite depuis la session Administrateur (admSÉSAME).

```
Bonjour,

Ton ordinateur est apparemment un poste installé par la DSI. As-tu bien ouvert une session Administrateur (**admSÉSAME**) plutôt qu'une session utilisateur "classique" avant de lancer l'installation comme indiquée dans la [documentation][documentation backuppc windows]?

Si tu n'as pas eu de message d'erreur lors de l'installation, j'ai une erreur qui persiste lors des tentatives de sauvegarde … Redis moi tes disponibilités pour que je passe te voir afin d'essayer de déterminer le problème :)
```
    * Désinstaller le tout: ``c:\backuppc_ipr\uninstall_backuppc_ipr.bat`` comme indiqué dans la [documentation][documentation backuppc windows desinstallation].
    * Redérammer l'ordinateur.
    * Utiliser la session Administrateur (admSÉSAME).
    * Supprimer les dossiers ``c:\backuppc_ipr`` et ``c:\Windows\Temp\ipr``.
    * Suivre à nouveau l'installation détaillée dans la [documentation][documentation backuppc windows].

#### Poste IPR
  * La machine est-elle bien allumée?
  * La machine répond au ping depuis le serveur de sauvegarde?

### Mauvais réseau
Si l'utilisateur n'était pas sur le réseau de l'Université lors de l'installation (adresse IP différente de 129.20.xxx.xxx).
  * **Windows**: relancer le script ``c:\backuppc_ipr\02_fichier_config.bat`` comme indiqué dans la [documentation][documentation backuppc windows].
  * **Linux**: relancer le script ``/tmp/install_auto.sh``
  * **Mac**: relancer le script ``/tmp/install_auto.sh``

```
Bonjour,

Il semblerait que tu n'étais pas connecté sur le réseau de l'Université lors de l'installation de l'outil de sauvegarde. Est-ce que tu peux …

Puis m'envoyer le nouveau fichier **.pl** généré. Si le problème persiste je passerai te voir pour qu'on détermine d'où ça vient :)
```

### Ping too slow
Erreur qui peut apparaître lors de la communication entre le serveur BackupPC et une machine cliente. Ça peut s'expliquer si il y a par exemple des sauvegardes en cours qui sollicitent déjà le système.

Vérifier l'état des sauvegardes :
https://backuppc.ipr.univ-rennes1.fr/index.cgi?action=summary

## Mail type

### Sauvegarde en cours

```
Bonjour,

Ta configuration est maintenant en place. Une sauvegarde aurait due être lancée automatiquement par le serveur sous peu mais j’ai préféré tester directement en lançant une sauvegarde manuellement dès maintenant.

La sauvegarde est en cours et semble bien fonctionner. Ta machine rencontrera peut-être quelques ralentissements pendant une ou deux heures. Si tu éteints ton pc avant la fin de la sauvegarde, pas d’inquiétude elle sera reprise automatiquement.

Tu peux accéder aux données sauvegardées et modifier la configuration depuis l'interface web:
https://backuppc.ipr.univ-rennes1.fr/
```

### Sauvegarde prévue

```
Bonjour,

Ta configuration est maintenant en place. Une sauvegarde devrait avoir lieu la prochaine fois que ta machine sera présente sur le réseau.

Lors de la sauvegarde, ta machine peut rencontrer quelques ralentissements pendant une ou deux heures. Si tu éteints ton pc avant la fin de la sauvegarde, pas d’inquiétude elle sera reprise automatiquement.

Tu peux accéder aux données sauvegardées et modifier la configuration depuis l'interface web:
https://backuppc.ipr.univ-rennes1.fr/
```


[documentation backuppc windows]: https://ipr.univ-rennes1.fr/intranet-ipr/sauvegarde-des-donnees-sur-serveur-backuppc-ipr#Postes_Windows
[documentation backuppc windows desinstallation]: https://ipr.univ-rennes1.fr/intranet-ipr/sauvegarde-des-donnees-sur-serveur-backuppc-ipr#Désinstallation

